<?php

namespace App\Modules\GroupProvider\Application\DeleteMedia;

use App\Modules\GroupProviderMedia\Application\GroupProviderMediaResponses;
use App\Modules\Shared\Domain\Bus\Query\Response;

class DeleteMediaGroupProviderResponse implements Response
{

    public array $GroupProviderMedia;

    public function __construct(GroupProviderMediaResponses $response)
    {
        $this->GroupProviderMedia = $response->data();
    }

    public function data(): array
    {
        return [
            ['GroupProviderMedia' => $this->GroupProviderMedia]
        ];
    }
}
